跳到主要内容

查看导入进度 (V1)

Deprecated
说明

该接口已废弃。建议您使用对应的 V2 接口。

查看指定导入任务的进度。

GET/v1/vector/collections/import/get
连接端点

该 API 的 Base URL 格式如下:

https://controller.api.${CLOUD_REGION}.zilliz.com.cn

📘说明
shell
export CLOUD_REGION="ali-cn-hangzhou"
export BASE_URL="https://controller.api.${CLOUD_REGION}.zilliz.com.cn"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
jobIdstringquery必填项

导入任务的 ID。

示例值:job-xxxxxxxxxxxxxxxxxx
clusterIdstringquery必填项

集群 ID。

示例值:inxx-xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v1/vector/collections/import/get?jobId=job-xxxxxxxxxxxxxxxxxx&clusterId=inxx-xxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应

以百分比形式返回指定任务 ID 的进度。

codeinteger

响应码。

dataobject

指定导入任务的进度详情。

fileNamestring

The path of the data file object in the object storage.

fileSizeinteger<int64>

The size of the data file object.

readyPercentagenumber<float>

The indicator of the import progress

completeTimestring

The time at which the import task completes. null indicates that the file import is going on.

errorMessagestring

The message that explains the reason for an import failure. null indicates that no error occurs.

collectionNamestring

The target collection name of the import task.

jobIdstring

The ID of an import task.

detailsarray

The import task details

[]detailsobject

按数据文件维度分别收集的数据导入进度信息。

fileNamestring

The path to a file being imported.

fileSizeinteger<int64>

The size of a file being imported.

readyPercentagenumber<float>

The import progress of a specific file.

completeTimestring

The time at which the import progress ends for a specific file. null indicates that the file import is going on.

errorMessagestring

The message that explains the reason for an import failure. null indicates that no error occurs.

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 200,
"data": {
"collectionName": "medium_articles",
"fileName": "1af78216-xxxx-xxxx-xxxx-2b0a73c566ed/1.parquet",
"fileSize": 19599887,
"readyPercentage": 0,
"completeTime": null,
"errorMessage": null,
"jobId": "job-xxxxxxxxxxxxxxxxxxxxxx",
"details": [
{
"fileName": "1af78216-xxxx-xxxx-xxxx-2b0a73c566ed/1.parquet",
"fileSize": 19599887,
"readyPercentage": 0,
"completeTime": null,
"errorMessage": null
}
]
}
}